package com.stormtales.notevault.utils;

import java.util.Objects;

public class Tupel<A,B> {
    private final A value00;
    private final B value01;

    public Tupel(A value00, B value01) {
        this.value00 = value00;
        this.value01 = value01;
    }

    public A getValue00() {
        return value00;
    }

    public B getValue01() {
        return value01;
    }

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        Tupel<?, ?> tupel = (Tupel<?, ?>) o;
        return Objects.equals(value00, tupel.value00) && Objects.equals(value01, tupel.value01);
    }

    @Override
    public int hashCode() {
        return Objects.hash(value00, value01);
    }
}
